$ErrorActionPreference = 'Stop';

$packageName = 'SwissFileKnife'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://sourceforge.net/projects/swissfileknife/files/1-swissfileknife/1.9.6.2/sfk196.exe/download'
$url64      = 'https://sourceforge.net/projects/swissfileknife/files/1-swissfileknife/1.9.6.2/sfk196.exe/download'

$installerPackage = Join-Path $toolsDir "sfk.exe";

$packageArgs = @{
  packageName   = $packageName
  fileFullPath  = $installerPackage
  url           = $url
  url64bit      = $url64

  checksum      = '028b1f116109fa0cb22487ba2a1ea947fbdfa586cfe7e95747ba12030a6bc137'
  checksumType  = 'sha256'
  checksum64    = '028b1f116109fa0cb22487ba2a1ea947fbdfa586cfe7e95747ba12030a6bc137'
  checksumType64= 'sha256'
}

Get-ChocolateyWebFile @packageArgs
